Debian Bug report logs - #503230
incorrect network/interfaces parsing

version graph

Package: busybox-static; Maintainer for busybox-static is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox-static is src:busybox.

Reported by: sergio <mailbox@sergio.spb.ru>

Date: Thu, 23 Oct 2008 20:21:02 UTC

Severity: normal

Found in version 1.10.2-2

Fixed in version 1:1.17.1-8

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#503230; Package busybox-static. (Thu, 23 Oct 2008 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to sergio <mailbox@sergio.spb.ru>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 23 Oct 2008 20:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: sergio <mailbox@sergio.spb.ru>
To: submit@bugs.debian.org
Subject: incorrect network/interfaces parsing
Date: Fri, 24 Oct 2008 00:12:57 +0400
Package: busybox-static
Version: 1.10.2-2

ifup eth0 returns
Error: an inet prefix is expected rather than "192.168.1.1/4294967295".

part of config:

iface eth0 inet static
        address         192.168.1.1
        netmask         255.255.255.0

there are more than one whitespace (tab) between variable and value 
(netmask\t\t255.255.255.0)


% diff -u ifupdown.c.orig  ifupdown.c
--- ifupdown.c.orig     2008-10-24 00:00:00.000000000 +0400
+++ ifupdown.c  2008-10-24 00:01:25.000000000 +0400
@@ -810,6 +810,8 @@
                } else {
                        switch (currently_processing) {
                        case IFACE:
+                               /* ship any trailing whitespace */
+                               rest_of_line = 
skip_whitespace(rest_of_line);
                                if (rest_of_line[0] == '\0')
                                        bb_error_msg_and_die("option 
with empty value \"%s\"", buf);

--
sergio.







Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Fri, 29 Apr 2011 18:51:07 GMT) Full text and rfc822 format available.

Notification sent to sergio <mailbox@sergio.spb.ru>:
Bug acknowledged by developer. (Fri, 29 Apr 2011 18:51:07 GMT) Full text and rfc822 format available.

Message #10 received at 503230-done@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: sergio <mailbox@sergio.spb.ru>, 503230-done@bugs.debian.org
Subject: Re: Bug#503230: incorrect network/interfaces parsing
Date: Fri, 29 Apr 2011 22:36:41 +0400
Version: 1:1.17.1-8

24.10.2008 00:12, sergio wrote:
> Package: busybox-static
> Version: 1.10.2-2
> 
> ifup eth0 returns
> Error: an inet prefix is expected rather than "192.168.1.1/4294967295".
> 
> part of config:
> 
> iface eth0 inet static
>         address         192.168.1.1
>         netmask         255.255.255.0
> 
> there are more than one whitespace (tab) between variable and value
> (netmask\t\t255.255.255.0)

This has been fixed in busybox 0.16, and is fixed for sure
in busybox as shipped in squeeze.  So closing this bug for
good.

Thanks!

/mjt




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 May 2011 07:35:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:15:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.